Bug 973388 - Route clashes prevent viewing application named "new"
Route clashes prevent viewing application named "new"
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Jessica Forrester
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 16:29 EDT by Jessica Forrester
Modified: 2015-05-14 21:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 10:53:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jessica Forrester 2013-06-11 16:29:00 EDT
Description of problem:
An application named "new" can be created but then the application /applications/<app name> page will go to /applications/new which redirects to the page for creating a new application.

Version-Release number of selected component (if applicable):


How reproducible:
Reproducible in all environments.

Steps to Reproduce:
1. Create a new application named "new"
2. Go to the application's information page

Actual results:
Redirected to page to create a new application

Expected results:
Shows the "new" application's information (cartridges, aliases, etc)

Additional info:
This is part of a larger issue around routes clashing, to resolve this issue all plural URL paths will become singular in the website and new APIs will be exposed in the broker that allow use of singular paths. All old plural broker APIs will remain for now.

ex: /applications/<app-name> in the website will now be accessed as /application/<app-name>
Comment 1 Jessica Forrester 2013-06-11 16:29:51 EDT
Fixes are in https://ci.dev.openshift.redhat.com/jenkins/job/fork_ami/656/
Comment 2 Yujie Zhang 2013-06-13 01:39:53 EDT
Tested on fork_ami_openshift_656, the application details page of app named "new" can be accessed successfully, so verify this bug, thanks.

Note You need to log in before you can comment on or make changes to this bug.